org.apache.cassandra.concurrent

## Interface JMXConfigurableThreadPoolExecutorMBean

- All Superinterfaces:
    JMXEnabledThreadPoolExecutorMBean
  All Known Implementing Classes:
    JMXConfigurableThreadPoolExecutor

      public interface JMXConfigurableThreadPoolExecutorMBean
      extends JMXEnabledThreadPoolExecutorMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCorePoolSize()`
    `void` | `setCorePoolSize(int n)`

    - ### Methods inherited from interface org.apache.cassandra.concurrent.JMXEnabledThreadPoolExecutorMBean

      `getCoreThreads, getMaximumThreads, setCoreThreads, setMaximumThreads`

- - ### Method Detail

    - #### setCorePoolSize

          void setCorePoolSize(int n)

    - #### getCorePoolSize

          int getCorePoolSize()

Copyright © 2018 The Apache Software Foundation